/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* START STYLE PRIORITAIRES */
.login{
background-color: white;
}
/* Vidéo d'arrière-plan */
.background-container-video {
    height: 100vh;
}
.background-video {
    display: block;
    height: 130%;
    left: 50%;
    object-fit: cover;
    position: absolute;
    top: 50%;
    transform: translate(-50%,-50%);
    width: 100%;
    opacity: 0.8;
}
.background-video-content {
    position: relative;
    z-index: 1;
}

/** MEDIA QUERY TABLETTE/DESKTOP **/
@media (min-width: 768px) {
/* Mise en page du menu OFF-CANVA */
.nav-below-header .main-navigation .inside-navigation.grid-container, .nav-above-header .main-navigation .inside-navigation.grid-container {
    top: 30%;
}
}
/** MEDIA QUERY MOBILE **/
/* Mise en page du menu OFF-CANVA */
@media (max-width: 767px) {
.nav-below-header .main-navigation .inside-navigation.grid-container, .nav-above-header .main-navigation .inside-navigation.grid-container {
    top: 18%;
}
}
/** MEDIA QUERY MOBILE/TABLETTE **/
/* Navigation sticky */
@media (max-width: 1024px){
    #sticky-navigation.is_stuck {
    padding-left: 10px;
    padding-right: 20px;
}
}
/** MEDIA QUERY DESKTOP **/
/* Couleur de texte et bordure de la nav et nav sticky */
@media (min-width: 1025px) {
.main-nav ul li
{
    color: #ffffff;
    border-left: 2px solid;
}	
.main-nav ul li:first-child {
    color: #ffffff;
    border-left: 0px;
}
}
#generate-slideout-menu .slideout-menu li /** avant : ul.slideout-menu li **/ {
    color: #ffffff;
    border-left: 0px;
}
/** CSS HORS MEDIA QUERY **/
 /* Padding du header de la navigation mobile */
.mobile-header-navigation {
   padding: 10px;
} 
/* Menu burger transparent */
.mobile-menu-control-wrapper .menu-toggle, .mobile-menu-control-wrapper .menu-toggle:hover, .mobile-menu-control-wrapper .menu-toggle:focus, .has-inline-mobile-toggle #site-navigation.toggled {
    background-color: transparent;
}
/* Taille du logo de la sticky nav */
.sticky-navigation-logo .is-logo-image {
    height: 80px;
}
/* Couleur de fond de navigation sticky */
.main-navigation.is_stuck,
.main-navigation.is_stuck ul ul ul
{
    background-color: rgba(0,0,0, .4);
    -webkit-backdrop-filter: blur(15px); /* assure la compatibilité avec safari */
}
/* Taille de la bordure dans la sticky nav */
.main-navigation.sticky-navigation-transition .main-nav > ul > li > a, .sticky-navigation-transition .menu-toggle, .main-navigation.sticky-navigation-transition .menu-bar-item > a, .sticky-navigation-transition .navigation-branding .main-title {
        line-height: 15px;
    }
/* Couleur du texte du sous-menu sticky */
.main-navigation.navigation-stick .main-navigation.navigation-stick a:not([aria-label*='Close'])
{
    color: #444444; 
}
/* Style du sous-menu */
.main-navigation ul ul {
    box-shadow: unset;
}
.sub-menu,
.sub-menu > li:first-child > a {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    background-color: #FFF;
}
.sub-menu,
.sub-menu > li:last-child > a {
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
}
/* Marge du sous-menu sticky */
.main-navigation.navigation-stick ul ul
{
    margin-top: -15px; 
}
/* END STYLES PRIORITAIRES */

/* START STYLES SECONDAIRES */

/* Effet reveal au scroll */
/* Animation JS */
.js-scroll {
  opacity: 0;
  transition: opacity 500ms;
}
.js-scroll.scrolled {
  opacity: 1;
}
.scrolled.fade-in {
  animation: fade-in 0.4s ease-in-out both;
}
.scrolled.fade-in-bottom {
  animation: fade-in-bottom 0.4s ease-in-out both;
}
.scrolled.slide-left {
  animation: slide-in-left 0.5s ease-in-out both;
}
.scrolled.slide-right {
  animation: slide-in-right 0.5s ease-in-out both;
}
@keyframes slide-in-left {
 0% {
    -webkit-transform: translateX(-100px);
    transform: translateX(-100px);
    opacity: 0;
  }
 100% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
    opacity: 1;
  }
}
@keyframes slide-in-right {
 0% {
    -webkit-transform: translateX(100px);
    transform: translateX(100px);
    opacity: 0;
  }
 100% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
    opacity: 1;
  }
}
@keyframes fade-in-bottom {
 0% {
    -webkit-transform: translateY(50px);
    transform: translateY(50px);
    opacity: 0;
  }
 100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 1;
  }
}
@keyframes fade-in {
 0% {
    opacity: 0;
  }
 100% {
    opacity: 1;
  }
}
/* Supprimer le titre des résultats de recherche */
.search .page-header {
    display: none;
}
/* Effet assombrissement au survol */
.darkroom img {
    filter: grayscale(0);
    -webkit-filter: grayscale(0);
    -moz-filter: grayscale(0);
    -o-filter: grayscale(0);
    -ms-filter: grayscale(0);
   transition: all 0.5s ease;
}
.darkroom img:hoover {
    filter: grayscale(0.5);
    -webkit-filter: grayscale(0.5);
    -moz-filter: grayscale(0.5);
    -o-filter: grayscale(0.5);
    -ms-filter: grayscale(0.5);
}

/* Blog et page d'actus avec sidebar */ 
.auto-width.gb-query-loop-wrapper {
    flex: 1;
}
@media (min-width: 768px) {
.sticky-container > .gb-inside-container,.sticky-container {
    position: sticky;
    top: 80px;
}
#right-sidebar .inside-right-sidebar {
    height: 100%;
}
}
#wp-block-categories-1 {
    width: 100%;
}
/* Button des formulaires */
button, input[type=button], input[type=reset], input[type=submit] {
border-radius: 5px;
}
/* Button des formulaires GenerateBlocks */
.gb-button
{
border-radius: 2px;
}
/* Button des formulaires Sendinblue/Brevo */
.sib-default-btn {
	border-radius: 5px
}
/* Button des formulaires FORMINATOR */
.forminator-ui#forminator-module-2002.forminator-design--flat .forminator-button-submit {
	border-radius: 5px
}
/* Boutton des formulaires */
button, input[type=button], input[type=reset], input[type=submit] {
border-radius: 5px;
}
/* Boutton des formulaires Sendinblue/Brevo */
.sib-default-btn {
	border-radius: 5px
}
/* Boutton des formulaires FORMINATOR */
.forminator-ui#forminator-module-2002.forminator-design--flat .forminator-button-submit {
	border-radius: 5px
}
.forminator-ui#forminator-module-2759.forminator-design--material .forminator-button-submit {
    padding: 15px
}
.forminator-ui#forminator-module-2759.forminator-design--material .forminator-button-submit {
    font-weight: 700
}
/* Effet de grossissement au survol */
.zoomin {
transition: transform .2s;
will-change: transform
}
.zoomin:hover {
-ms-transform: scale(1.02); /* IE 9 */
-webkit-transform: scale(1.02); /* Safari 3-8 */
transform: scale(1.02);
}
/* Box shadow sur les cards */
.card-shadow {
box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}
.card-shadow:hover {
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}
.card-shadow2:hover {
box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}
/* ajouter une ombre au container des cards */
.card-container {
	filter: drop-shadow(0 0 0.50rem #D3D3D3);
}
/** Light box shadow **/
.light-box-shadow {
-webkit-box-shadow: 0px 0px 21px -4px rgba(0,0,0,0.2);
-moz-box-shadow: 0px 0px 21px -4px rgba(0,0,0,0.2);
box-shadow: 0px 0px 21px -4px rgba(0,0,0,0.2);
}
/* END STYLES SECONDAIRES */
/** Switch CookieYes **/
.cky-switch input[type="checkbox"]:checked {
background: #FFC800 !important;
}
input#ckySwitchfunctional {
background-color : #FFC800 !important;
}